Skip to main content

Validation Services

VAT Extraction

Validate and enrich company data from a VAT number: official business name, legal address, phone numbers, PEC email, and ATECO codes.

Endpoint​

POSThttps://{host}:{port}/Egon/api/norm

Headers & authentication​

Required request headers and their expected values.

FieldTypeDescription
tokenreq
String

Authentication token sent in the token request header.

Request​

Country context, `vatfnx` function `E`, and VAT number to enrich.

FieldTypeDescription
parreq
Object

Country context and extended VAT function.

iso2
String

Country code, ISO 3166-1 alpha-2.

One of iso2 or iso3 is required.

iso3
String

Country code, ISO 3166-1 alpha-3.

One of iso2 or iso3 is required.

vatfnxreq
String

VAT-number configuration function.

  • E Extended company registry details lookup

Default value: E

datareq
Object

Input data to validate

vat_numberreq
Object

VAT number to query extended company registry for

cod_descriptionreq
String

VAT number to enrich

Response​

Enriched company profile including business name, tax code, address, phones, emails, activity codes, and quality indicator.

FieldTypeDescription
data
Object

Normalized and enriched validation output data

name
Object

Company business name and legal form

firm_name
String

Company name

title
String

Company juridical form

status
String

Company operational status

tax_code
Object

Company fiscal code details

cod_description
String

Tax code description

vat_number
Object

Extended VAT registration details

cod_description
String

VAT number

address
Object

Company registered office address details

standard
Object

Standardized company registered address details

phones
Object

Associated company phone numbers

type
String

Phone type

number
String

Phone number

emails
Object

Associated company email addresses

type
String

Email type

email
String

Certified email address (PEC)

codes
Object

Economic activity (Ateco) and registry codes

type
String

Code type

cod_description
String

ATECO economic activity code

quality
Object

Validation quality indicators and score flags

vat_number
Object

Quality indicator result (see https://documentation.egon.com/docs/quality-indicators)

flag
String

Quality flag

code
Number

Quality result code

description
String

Quality result description

system
Object

Request processing status.

ret_code
Number

Processing result code. 0 means no blocking error.

des_ret_code
String

Human-readable processing result.

Request Example
curl -X POST "https://{host}:{port}/Egon/api/norm" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA",
"vatfnx": "E"
},
"data": {
"vat_number": {
"cod_description": "01032450072"
}
}
}'